Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.rtmp.event
Class AllocationDebugger

    java.lang.Object
      org.red5.server.net.rtmp.event.AllocationDebugger

    public class AllocationDebugger

extends Object

Simple allocation debugger for Event reference counting.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com) on behalf of (ce@publishing-etc.de), Paul Gregoire (mondain@gmail.com)

Method Summary
`protected void` | `create(BaseEvent event)` Add event to map
`void` | `dump()` Dumps allocations
`static AllocationDebugger` | `getInstance()` Getter for instance
`protected void` | `release(BaseEvent event)` Release event if there's no more references to it
`protected void` | `retain(BaseEvent event)` Retain event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static AllocationDebugger getInstance()

  Getter for instance

  Returns:
    Allocation debugger instance

### create

    protected void create(BaseEvent event)

  Add event to map

  Parameters:
    `event` - Event

### retain

    protected void retain(BaseEvent event)

  Retain event

  Parameters:
    `event` - Event

### release

    protected void release(BaseEvent event)

  Release event if there's no more references to it

  Parameters:
    `event` - Event

### dump

    public void dump()

  Dumps allocations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project